import request from '@/assets/js/utils/request'
/**
 * 获取收藏列表信息
 */
export function getCollectionList(data) {
  return request({
    url: '/bidprocurement/shoppingmall-product/product/shptFootMarkController/markInfoList',
    method: 'post',
    data
  })
}

/**
 * 删除收藏列表信息
 */
export function deleteMarkInfo(id, type) {
  return request({
    url: '/bidprocurement/shoppingmall-product/product/shptFootMarkController/deleteMarkInfo?id=' +
            id + '&type=' +
            type,
    method: 'get'
  })
}
/**
 * 同步用户收藏到redis
 */
export function addUserMarkToRedis() {
  return request({
    url: '/bidprocurement/shoppingmall-product/product/shptFootMarkController/addUserMarkToRedis',
    method: 'get'
  })
}
